package com.zbf.system.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.zbf.system.domain.TOngoodsshelf;

/**
 * 入库任务Service接口
 *
 * @author tony
 * @date 2024-06-14
 */
public interface ITOngoodsshelfService
{
    /**
     * 查询入库任务
     *
     * @param id 入库任务主键
     * @return 入库任务
     */
    public TOngoodsshelf selectTOngoodsshelfById(String id);

    /**
     * 查询入库任务列表
     *
     * @param tOngoodsshelf 入库任务
     * @return 入库任务集合
     */
    public List<TOngoodsshelf> selectTOngoodsshelfList(TOngoodsshelf tOngoodsshelf);

    /**
     * 新增入库任务
     *
     * @param tOngoodsshelf 入库任务
     * @return 结果
     */
    public int insertTOngoodsshelf(TOngoodsshelf tOngoodsshelf);

    /**
     * 修改入库任务
     *
     * @param tOngoodsshelf 入库任务
     * @return 结果
     */
    public int updateTOngoodsshelf(TOngoodsshelf tOngoodsshelf);

    /**
     * 批量删除入库任务
     *
     * @param ids 需要删除的入库任务主键集合
     * @return 结果
     */
    public int deleteTOngoodsshelfByIds(String[] ids);

    /**
     * 删除入库任务信息
     *
     * @param id 入库任务主键
     * @return 结果
     */
    public int deleteTOngoodsshelfById(String id);

    /**
     * 批量禁用入库任务
     *
     * @param ids 需要禁用的入库任务主键集合
     * @return 结果
     */
    public int disabledTOngoodsshelfByIds(String[] ids);

    /**
     * 批量启用入库任务
     *
     * @param ids 需要启用的入库任务主键集合
     * @return 结果
     */
    public int enableTOngoodsshelfByIds(String[] ids);

    /**
     * 改变状态
     *
     * @param tOngoodsshelf
     * @return 结果
     */
    public int updateStatus(TOngoodsshelf tOngoodsshelf);


    Map<String, Object> createTaskData(String s, List<Integer> list);

    List<TOngoodsshelf> list(LambdaQueryWrapper<TOngoodsshelf> tOngoodsshelfLambdaQueryWrapper);
}

